## FpImageDevice FpImageDevice — Image device subclass |

## Properties

FpiImageDeviceState | fpi-image-device-state | Read

## Signals

void | fpi-image-device-state-changed | Run First

## Types and Values

#define | FP_TYPE_IMAGE_DEVICE
| FpImageDevice

## Object Hierarchy

        GObject
        ╰── FpDevice
            ╰── FpImageDevice

## Implemented Interfaces

FpImageDevice implements GAsyncInitable.

## Description

This is a helper class for the commonly found image based devices.

## Functions

## Types and Values

### FP_TYPE_IMAGE_DEVICE

    #define FP_TYPE_IMAGE_DEVICE (fp_image_device_get_type ())

### FpImageDevice

    typedef struct _FpImageDevice FpImageDevice;

## Property Details

### The `“fpi-image-device-state”` property

      “fpi-image-device-state”   FpiImageDeviceState

Private: The state of the image device.

Owner: FpImageDevice

Flags: Read

Default value: FPI_IMAGE_DEVICE_STATE_INACTIVE

## Signal Details

### The `“fpi-image-device-state-changed”` signal

    void
    user_function (FpImageDevice      *image_device,
                   FpiImageDeviceState new_state,
                   gpointer            user_data)

This signal is only for internal purposes.

[skip]

#### Parameters

image_device | A FpImageDevice |
new_state | The new state of the device |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Stability Level: Private